#!/usr/bin/env node
'use strict';

const usefulArgs = process.argv.slice(2);
const textmate = require('./src/textmate');
const path = require('path');
const fs = require('fs');

if (usefulArgs.length < 1) {
    console.error('Please provide input file name');
    process.exit(1);
}

const filePath = path.resolve(process.cwd(), usefulArgs[0]);
const spec = JSON.parse(fs.readFileSync(filePath, 'utf8'));
const outputPath = path.join(process.cwd(), path.basename(usefulArgs[0], '.json') + '.tmLanguage');

fs.writeFileSync(outputPath, textmate.plist(spec), 'utf8');


