'use strict';

const plist = require('plist/dist/plist.js');

exports.json = function (spec) {
    const r = {};
    r.patterns = [];
    r.name = spec.name;
    r.scopeName = `source.${spec.name}`;
    r.uuid = spec.uuid;
    r.fileTypes = spec.extensions;
    r.repository = {};
    spec.strings.forEach((string, i) => {
        const name = `string-${i}`;
        r.repository[name] = {
            patterns: [{
                match: string,
                name: `string.quoted.double.${spec.name}`
            }]
        };
        r.patterns.push({include: `#${name}`});
    });

    return r;
};

exports.plist = function (spec) {
    return plist.build(exports.json(spec));
};
